#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	CharWidth
Summary:	Text::CharWidth - Get number of occupied columns of a string on terminal
Summary(pl.UTF-8):	Text::CharWidth - obliczanie liczby kolumn zajmowanych przez łańcuch na terminalu
Name:		perl-Text-CharWidth
Version:	0.04
Release:	9
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	37a723df0580c0758c0ee67b37336c15
URL:		http://search.cpan.org/dist/Text-CharWidth/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a module to provide equivalent feature as wcwidth(3) and
wcswidth(3). This also provides mblen(3) equivalent subroutine.

%description -l pl.UTF-8
Ten moduł udostępnia funkcjonalność odpowiadającą wcwidth(3) i
wcswidth(3). Udostępnia także funkcję odpowiadającą mblen(3).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Text/CharWidth.pm
%dir %{perl_vendorarch}/auto/Text/CharWidth
%attr(755,root,root) %{perl_vendorarch}/auto/Text/CharWidth/CharWidth.so
%{_mandir}/man3/*
%changelog
* Thu Feb 12 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Text-CharWidth.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 44c9759
- release 9 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 4a258a7
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 58af7f9
- rebuild for perl 5.20
- release 8 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> c739cf5
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 6e408b4
- rel 6

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 528d2d9
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a3af0a4
- release 4

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 28b010d
- release 3

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 3852c05
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8ac756c
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 60584fb
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c56d0b4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a6516cb
- converted to UTF-8

* Thu Nov 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 67551d8
- added tests

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> 063b2eb
- rel. 1

* Mon Jun 26 2006 Jakub Bogusz <qboosh@pld-linux.org> 08f427f
- .so perms, OPTIMIZE

* Mon Jun 26 2006 Jakub Bogusz <qboosh@pld-linux.org> c849c64
- pl

* Tue Jun 13 2006 tommat <tommat@pld-linux.org> 3bcda7e
- cosmetics

* Tue Jun 13 2006 tommat <tommat@pld-linux.org> 8150b98
- initial

